do

	local EconVOThread
	local GetOption = import('/lua/user/prefs.lua').GetOption

	oldCL = CommonLogic
	CommonLogic = function()
		if EconVOThread then
			KillThread(EconVOThread)
		end
		oldCL()
		EconVOThread = ForkThread(EconVO)
	end
	
	EconVO = function()
		local army = GetArmiesTable().armiesTable[GetArmiesTable().focusArmy]
		local factions = {'UEF', 'Aeon', 'Cybran'}
		local FactionName = factions[army.faction + 1]
		WaitSeconds(30)
		while true do
			local econData = GetEconomyTotals()
			local massMaxStorageVal = econData["maxStorage"]["MASS"]
			local massStoredVal = econData["stored"]["MASS"]
			local energyMaxStorageVal = econData["maxStorage"]["ENERGY"]
			local energyStoredVal = econData["stored"]["ENERGY"]
	
			if massStoredVal == 0 and GetOption('vo_MassDepleted') then
				PlayVoice(Sound{
					Bank = 'COMPUTER_'..FactionName..'_VO',
					Cue = FactionName..'Computer_Resources_01307'}, true)
			elseif massStoredVal / massMaxStorageVal < .1 and GetOption('vo_MassDangerous') then
				PlayVoice(Sound{
					Bank = 'COMPUTER_'..FactionName..'_VO',
					Cue = FactionName..'Computer_Resources_01303'}, true)
			elseif massStoredVal / massMaxStorageVal > .8 and GetOption('vo_MassCritical') then
				PlayVoice(Sound{
					Bank = 'COMPUTER_'..FactionName..'_VO',
					Cue = FactionName..'Computer_Resources_01305'}, true)
			end
			WaitSeconds(5)
			if energyStoredVal == 0 and GetOption('vo_EnergyDepleted') then
				PlayVoice(Sound{
					Bank = 'COMPUTER_'..FactionName..'_VO',
					Cue = FactionName..'Computer_Resources_01308'}, true)
			elseif energyStoredVal / energyMaxStorageVal < .3 and GetOption('vo_EnergyDangerous') then
				PlayVoice(Sound{
					Bank = 'COMPUTER_'..FactionName..'_VO',
					Cue = FactionName..'Computer_Resources_01304'}, true)
			end
			WaitSeconds(120)
		end
	end
end 